<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
/**
 * @package    block_course_checker
 * @copyright  2019 Liip SA <elearning@liip.ch>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
namespace block_course_checker\model;

defined('MOODLE_INTERNAL') || die();

/**
 * Runs all checks of a specific course.
 *
 * @package block_course_checker\model
 */
interface check_manager_interface{
    /**
     * @param \stdClass $course
     * @param array $lastchecksresults An array of last result, used for skip deactivated checks and still display the same check.
     * @return check_result_interface|array An array of result, indexed with the plugin/check name
     */
    public function run_checks($course, $lastchecksrecord);
}